org.labkey.remoteapi.security

## Class GetContainersResponse

- java.lang.Object
- - org.labkey.remoteapi.CommandResponse
  - - org.labkey.remoteapi.security.GetContainersResponse

-     public class GetContainersResponse
      extends CommandResponse

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContainersResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, GetContainersCommand sourceCommand)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `findContainer(java.lang.String[] containerPath, int index, java.util.Map<java.lang.String,java.lang.Object> root)`
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `findContainer(java.lang.String containerPath, java.util.Map<java.lang.String,java.lang.Object> root)`
    `java.lang.String` | `getContainerId()`
    `java.lang.Integer` | `getUserPermissions()`
    `java.lang.Integer` | `getUserPermissions(java.lang.String containerPath)`
    `java.lang.Boolean` | `hasPermission(int perm)`
    `java.lang.Boolean` | `hasPermission(int perm, java.lang.String containerPath)`

    - ### Methods inherited from class org.labkey.remoteapi.CommandResponse

      `findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContainersResponse

          public GetContainersResponse(java.lang.String text,
                                       int statusCode,
                                       java.lang.String contentType,
                                       org.json.simple.JSONObject json,
                                       GetContainersCommand sourceCommand)

  - ### Method Detail

    - #### getContainerId

          public java.lang.String getContainerId()

    - #### getUserPermissions

          public java.lang.Integer getUserPermissions()

    - #### getUserPermissions

          public java.lang.Integer getUserPermissions(java.lang.String containerPath)

    - #### hasPermission

          public java.lang.Boolean hasPermission(int perm)

    - #### hasPermission

          public java.lang.Boolean hasPermission(int perm,
                                                 java.lang.String containerPath)

    - #### findContainer

          protected java.util.Map<java.lang.String,java.lang.Object> findContainer(java.lang.String containerPath,
                                                                                   java.util.Map<java.lang.String,java.lang.Object> root)

    - #### findContainer

          protected java.util.Map<java.lang.String,java.lang.Object> findContainer(java.lang.String[] containerPath,
                                                                                   int index,
                                                                                   java.util.Map<java.lang.String,java.lang.Object> root)